Subject: Re: [Bitcoin-development] Near-term scalability

From: Gregory Maxwell <[email-masked]>
Date: Fri, 15 Jun 2012 14:55:52 -0400

On Fri, Jun 15, 2012 at 2:50 PM, Amir Taaki <[email-masked]> wrote:
> Part of the problem is that Satoshi didn't totally anticipate the growth of the network. The block reward (the subsidy) is too high, which is why transactions can afford to be so cheap. What would happen if blocks required a cumulative fee of XN BTC for N transactions before being accepted?

I would take the last block I solved and use it to write a transaction
to nowhere which which gave all 50 BTC out in fee.  This pays for as
many transactions in the block as I like for any value of X you want
to choose.

You should read the bitcointalk forums more often: variants on that
idea are frequently suggested and dismantled. There is a lot of noise
there but also a lot of ideas and knowing what doesn't work is good
too.